#!/bin/sh

# ----------------------------------------------------------------------
#  setMAPassword.sh -- change current passsword for an ITCAM endpoint
#
#  (C) Copyright IBM Corp. 2005 All Rights Reserved.
#
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ----------------------------------------------------------------------

# Make sure user specified a password

if [ "$1"=="" ]; then
  echo "Usage: sh setMAPassword.sh <new_password>"
  exit 1
fi

# Try to determine where we are installed

case "$0" in
  /*)   THIS_CMD_PATH="$0"       ;;
   *)   THIS_CMD_PATH="`pwd`/$0" ;;
esac

THIS_CMD_DIR="`dirname $THIS_CMD_PATH`"

MA_BASE_DIR=`(cd "$THIS_CMD_DIR/.." 2>/dev/null && pwd)`


# find the java interpreter and any jars we need

JAVACMD=`sh $THIS_CMD_DIR/findJava.sh`
if test "$?" != 0 ; then exit 1 ; fi

PASS_UTIL_JAR=`sh $THIS_CMD_DIR/findJar.sh pass_util.jar`
if test "$?" != 0 ; then exit 1 ; fi


"$JAVACMD" -jar "$PASS_UTIL_JAR" $* "$MA_BASE_DIR" save

# ----------------------------------------------------------------------
# End script
# ----------------------------------------------------------------------
